Subject: bug#72358: 29.4; oauth2.el improvements

From: Robert Pluim <[email-masked]>
Date: Wed, 31 Jul 2024 10:54:57 +0200

>>>>> On Tue, 30 Jul 2024 12:37:05 -0700, Xiyue Deng <[email-masked]> said:
    Xiyue> The fifth patch adds debug messages when doing a URL query which records
    Xiyue> the request URL, the request data, and the response data, and provide a
    Xiyue> custom variable to enable this.  This provides a way to help debugging
    Xiyue> the requests, and I find it handy when testing oauth2 against different
    Xiyue> providers.
    >> 
    >> OK (although perhaps make it a defvar rather than a defcustom, to
    >> avoid people accidentally enabling it).
    >> 

    Xiyue> Done also in patch 5.

I see you changed `oauth2-token-file' to a `defvar', which I donʼt
think you should do. I was talking about making `oauth2-debug' a
defvar.

Robert
--